
#Checking if the drivers were installed properly for the HP MP9


if ($env:PANACEA_DEVICE -eq "HP MP9") {

    Describe "Drivers" {

        Context "HP MP9" {
        
            it "should have hp video drivers installed" {
                $drivers = Get-WmiObject Win32_PnPSignedDriver| select devicename, driverversion | where {$_.devicename -like "*Graphics 4600*"}
                $drivers | Should Not BeNullOrEmpty
            }
        

            it "should have hp Management Engine drivers installed" {
                $drivers = Get-WmiObject Win32_PnPSignedDriver| select devicename, driverversion | where {$_.devicename -like "*Management Engine Interface*"}
                $drivers | Should Not BeNullOrEmpty
            }
        
            it "should have hp Chipset drivers installed" {
                $drivers = Get-WmiObject Win32_PnPSignedDriver| select devicename, driverversion | where {$_.devicename -like "*8 Series/C220 Series SMBus Controller*"}
                $drivers | Should Not BeNullOrEmpty
            }
            
            it "should have hp Audio drivers installed" {
            $drivers = Get-WmiObject Win32_PnPSignedDriver| select devicename, driverversion | where {$_.devicename -like "*High Definition Audio*"}
                $drivers | Should Not BeNullOrEmpty
            }

        }
    }
}           